extras repo error :

  • Hello,


    I would like to test ZFS whit my OMV, but I have some issue when I try to install the ZFS plugin.

    In many subject in this forum, I saw : "enable the proxmox kernel, with the extra-plugin"



    Ok, but when I try to activate "Extra repo" or then deactivate it I get the following message: "communication failure"




    some information about my omv:

    version 5.6.5 on armbian on board Helios64

    uname -a : Linux helios64 5.10.21-rockchip64 #21.02.3 SMP PREEMPT Mon Mar 8 01:05:08 UTC 2021 aarch64 GNU/Linux

    and I don't see anything in particular with journalctl -xe

    (My pc and my nas are on the same swith)


    I try to uninstall and install the plugin with wget -O - https://github.com/OpenMediaVault-Plugin-Developers/packages/raw/master/install | bash

    (see HERE) but I have always the same issue :(



    Thank you for your help


    PS: It's related with OMV-Extra Impossible to install ?? I am not on rpi ...

  • when I try to activate "Extra repo"

    You don't need it. There is nothing in that repo.


    deactivate it I get the following message: "communication failure"

    This is just a warning. Nothing to worry about.


    In many subject in this forum, I saw : "enable the proxmox kernel, with the extra-plugin"

    The proxmox plugin is only available for amd64 systems. Your Helios64 is not amd64.


    but I have always the same issue

    What issue? The communication error is not an issue.

    It's related with OMV-Extra Impossible to install ??

    You haven't given us any output to determine that. I doubt it though. What is the output of: dpkg -l | grep openm

    omv 5.6.9 usul | 64 bit | 5.11 proxmox kernel | omvextrasorg 5.6.2 | kvm plugin 5.1.5
    omv-extras.org plugins source code and issue tracker - github


    Please read this before posting a question.
    Please don't PM for support... Too many PMs!

  • Thank you for your reply.


    The proxmox plugin is only available for amd64 systems.

    I did not find if it was indicated somewhere but I suspected it a bit.



    Quote

    You haven't given us any output to determine that. I doubt it though. What is the output of: dpkg -l | grep openm





    When I try to install the zfs:arm plugin


  • When I try to install the zfs:arm plugin

    The problem with zfs on arm is that zfs-dkms needs to compile the module and it has to be able to find the headers. The plugin will not install the linux kernel headers. Run armbian-config to install those. I assume that is why zfs-zed won't install. What is the output of: apt-cache policy zfs-zed

    omv 5.6.9 usul | 64 bit | 5.11 proxmox kernel | omvextrasorg 5.6.2 | kvm plugin 5.1.5
    omv-extras.org plugins source code and issue tracker - github


    Please read this before posting a question.
    Please don't PM for support... Too many PMs!

  • Run armbian-config to install those.

    It is done, and I have found this on the Hellios wiki:


    So "Go to Software and install headers." Like you said :) and "sudo apt install zfs-dkms zfsutils-linux"

    Reboot...

    But always a error (She changed a bit).





    And


    Code
    helios64:~:% apt-cache policy zfs-zed
    zfs-zed:
    Installed: (none)
    Candidate: 2.0.3-1~bpo10+1
    Version table:
    2.0.3-1~bpo10+1 500
    100 http://httpredir.debian.org/debian buster-backports/contrib arm64 Packages
    100 /var/lib/dpkg/status
    0.7.12-2+deb10u2 500
    500 http://deb.debian.org/debian buster/contrib arm64 Packages
  • On my Helios64, all I did was do: apt-get install zfs-zed


    This installed everything needed. Then you should be able to install the plugin.

    omv 5.6.9 usul | 64 bit | 5.11 proxmox kernel | omvextrasorg 5.6.2 | kvm plugin 5.1.5
    omv-extras.org plugins source code and issue tracker - github


    Please read this before posting a question.
    Please don't PM for support... Too many PMs!

  • ok I have ....

    Code
    helios64:~:% dpkg --print-architecture
    arm64

    arm64 ... ARM64 and not ARMHF

    So not the plugin openmediavault-zfs:armhf 5.0.6 but openmediavault-zfs:armhf 5.0.6 ...:rolleyes:


    That being said, it seems to me that I had tested with the plugin ... and that I still had an error.

    So I think the solution to the initial problem was mainly to think about activating the linux kernel headers



    THX,

    And for https://github.com/OpenMediaVa…nmediavault-zfs/issues/65 too.

    I saw this issue while looking for info on arm * architectures

    And by the way for those who are interested: https://www.debian.org/ports/#portlist-released


    By the way number 2: so you have too a Helios64, any issue with the Helios64 and ZFS ? Is 4GB of RAM enough?

  • so you have too a Helios64, any issue with the Helios64 and ZFS ? Is 4GB of RAM enough?

    I have installed zfs and played around with it but I don't use zfs on any system.


    4gb is enough. zfs just won't be able to cache lots of things in ram.

    omv 5.6.9 usul | 64 bit | 5.11 proxmox kernel | omvextrasorg 5.6.2 | kvm plugin 5.1.5
    omv-extras.org plugins source code and issue tracker - github


    Please read this before posting a question.
    Please don't PM for support... Too many PMs!

Participate now!

Don’t have an account yet? Register yourself now and be a part of our community!